package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 dev_brand_quotation
 *
 * @author yinjinlu
 * @date 2024-01-25
 */
public class DvBrandQuotation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long brandQuotationId;

    /** 编号 */
    @Excel(name = "编号")
    private String brandQuotationCode;

    /** 名称 */
    @Excel(name = "名称")
    private String brandQuotationName;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;


    private String brandName;

    /** 产品id */
    @Excel(name = "产品id")
    private Long itemId;

    private String itemName;

    /** 工艺路线id */
    @Excel(name = "工艺路线id")
    private Long routeId;
    private String routeName;

    /** 总金额 */
    @Excel(name = "总金额")
    private BigDecimal amount;

    /** 总金额 */
    @Excel(name = "备注")
    private String remark;

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBrandName() {
        return brandName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }



    public void setBrandQuotationId(Long brandQuotationId)
    {
        this.brandQuotationId = brandQuotationId;
    }

    public Long getBrandQuotationId()
    {
        return brandQuotationId;
    }
    public void setBrandQuotationCode(String brandQuotationCode)
    {
        this.brandQuotationCode = brandQuotationCode;
    }

    public String getBrandQuotationCode()
    {
        return brandQuotationCode;
    }
    public void setBrandQuotationName(String brandQuotationName)
    {
        this.brandQuotationName = brandQuotationName;
    }

    public String getBrandQuotationName()
    {
        return brandQuotationName;
    }
    public void setBrandId(Long brandId)
    {
        this.brandId = brandId;
    }

    public Long getBrandId()
    {
        return brandId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setRouteId(Long routeId)
    {
        this.routeId = routeId;
    }

    public Long getRouteId()
    {
        return routeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandQuotationId", getBrandQuotationId())
            .append("brandQuotationCode", getBrandQuotationCode())
            .append("brandQuotationName", getBrandQuotationName())
            .append("brandId", getBrandId())
            .append("itemId", getItemId())
            .append("routeId", getRouteId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
                .append("routeName", getRouteName())
                .append("itemName", getItemName())
                .append("brandName", getBrandName())
            .toString();
    }
}
